# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'arguard/version'

Gem::Specification.new do |spec|
  spec.name          = 'arguard'
  spec.version       = Arguard::VERSION
  spec.authors       = ['Helmut Juskewycz - hemju']
  spec.email         = ['helmut@hemju.com']

  spec.summary       = 'Arguard is a help library for guard clauses.'
  spec.description   = 'Arguard is a help library for guard clauses.'
  spec.homepage      = 'http://hemju.com'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata['allowed_push_host'] = 'sfksdjlf'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'lingohub-rubocop', '~> 1.0'
end
